Subject: RE: Build problem for ARM on Cygwin
From: "George Najarian" <[email-masked]>
To: "David Mc Kenna" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Mon, 21 Apr 2003 09:28:25 -0700

I had the same problem. It seems that they included support for mempcpy in
the newest version of cygwin, but the gcc build does not expect it. Here it
the fix I used (this has an ecos flavor to it):

ac_cv_func_mempcpy=no /src/gcc-3.2.2/configure --target=arm-elf --prefix=/gnutools --enable-languages=c,c++ \
  --with-gnu-as --with-gnu-ld --with-newlib --with-gxx-include-dir=/gnutools/arm-elf/include \
  -v 2>&1 | tee configure.out 
make -w all install 2>&1 | tee make.out 

Hope it works for you.

George Najarian
Najay Engineering

>Hi folks,
>This is a strange one and I hope someone can help me as it boggles the mind.
>Recently I upgraded ( complete removal and re-installation ) of my version of
>cygwin. I was having a few problems so I decided to get the latest updates.
>Prior to removing this version of cygwin I could configure and make gcc successfully
>for arm without a problem using the enclosed script, arm-elf. But when I changed
>my cygwin configuration I started getting the following errors when I tried
>to make it, I could configure a bootstrap gcc no problems.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/